media
Update company media
Update an existing media item
PUT
/
api
/
company
/
media
/
{id}
Update company media
curl --request PUT \
--url https://api.fluid.app/api/company/media/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 123,
"medium": {
"user_id": 123,
"media_type": "<string>",
"image_url": "<string>",
"video_url": "<string>",
"pdf_url": "<string>",
"powerpoint_url": "<string>",
"title": "<string>",
"description": "<string>",
"active": true,
"compressed_image_url": "<string>",
"prompts_enabled": true,
"kind": "<string>",
"visibility": "<string>",
"cta_enabled": true,
"cta_action_type": "<string>",
"cta_url": "<string>",
"cta_button_text": "<string>",
"slug": "<string>",
"custom_slug": true,
"no_index": true,
"display_comments": true,
"category": "<string>",
"display_shop": true,
"dam_asset_id": 123,
"dam_asset_code": "<string>",
"lead_capture": true,
"video_shopping_enabled": true,
"application_theme_template_id": 123,
"publish_at": "<string>",
"settings": {
"player": {
"primary_color": "<string>",
"button_border_radius": "<string>",
"control_bar_height": "<string>",
"progress_color": "<string>",
"volume_color": "<string>",
"show_controls": true,
"autoplay": true,
"loop": true,
"muted": true,
"preload": "<string>",
"playback_rates": "<string>",
"show_remaining_time": true,
"responsive": true,
"fluid": true
},
"embed": {
"behavior": "<string>",
"responsive": true,
"width": "<string>",
"height": "<string>",
"show_controls": true,
"autoplay": true,
"loop": true
},
"cta": {
"enabled": true,
"type": "<string>",
"url": "<string>",
"button_description": "<string>",
"button_text": "<string>",
"button_color": "<string>"
},
"fair_share": {
"bg_color": "<string>",
"rep_name": "<string>",
"rep_avatar": "<string>",
"message": "<string>"
},
"live_chat": {
"enabled": true,
"color": "<string>",
"welcome_message": "<string>"
},
"thumbnail": {
"show_title": true,
"show_description": true
},
"seo": {
"title": "<string>",
"description": "<string>",
"image_url": "<string>",
"image_path": "<string>",
"block_crawler": true
}
},
"label": {
"id": 123,
"title": "<string>"
},
"subtitles": [
{
"lang": "<string>",
"src": "<string>"
}
],
"available_countries": [
"<string>"
],
"tags_attributes": [
{
"id": 123,
"_destroy": true,
"name": "<string>"
}
],
"prompts_attributes": [
{
"id": 123,
"title": "<string>",
"content": "<string>",
"_destroy": true
}
],
"attached_shareables_attributes": [
{
"id": 123,
"attachment_type": "<string>",
"attachment_id": 123,
"timestamp": "<string>",
"_destroy": true
}
]
}
}
'import requests
url = "https://api.fluid.app/api/company/media/{id}"
payload = {
"id": 123,
"medium": {
"user_id": 123,
"media_type": "<string>",
"image_url": "<string>",
"video_url": "<string>",
"pdf_url": "<string>",
"powerpoint_url": "<string>",
"title": "<string>",
"description": "<string>",
"active": True,
"compressed_image_url": "<string>",
"prompts_enabled": True,
"kind": "<string>",
"visibility": "<string>",
"cta_enabled": True,
"cta_action_type": "<string>",
"cta_url": "<string>",
"cta_button_text": "<string>",
"slug": "<string>",
"custom_slug": True,
"no_index": True,
"display_comments": True,
"category": "<string>",
"display_shop": True,
"dam_asset_id": 123,
"dam_asset_code": "<string>",
"lead_capture": True,
"video_shopping_enabled": True,
"application_theme_template_id": 123,
"publish_at": "<string>",
"settings": {
"player": {
"primary_color": "<string>",
"button_border_radius": "<string>",
"control_bar_height": "<string>",
"progress_color": "<string>",
"volume_color": "<string>",
"show_controls": True,
"autoplay": True,
"loop": True,
"muted": True,
"preload": "<string>",
"playback_rates": "<string>",
"show_remaining_time": True,
"responsive": True,
"fluid": True
},
"embed": {
"behavior": "<string>",
"responsive": True,
"width": "<string>",
"height": "<string>",
"show_controls": True,
"autoplay": True,
"loop": True
},
"cta": {
"enabled": True,
"type": "<string>",
"url": "<string>",
"button_description": "<string>",
"button_text": "<string>",
"button_color": "<string>"
},
"fair_share": {
"bg_color": "<string>",
"rep_name": "<string>",
"rep_avatar": "<string>",
"message": "<string>"
},
"live_chat": {
"enabled": True,
"color": "<string>",
"welcome_message": "<string>"
},
"thumbnail": {
"show_title": True,
"show_description": True
},
"seo": {
"title": "<string>",
"description": "<string>",
"image_url": "<string>",
"image_path": "<string>",
"block_crawler": True
}
},
"label": {
"id": 123,
"title": "<string>"
},
"subtitles": [
{
"lang": "<string>",
"src": "<string>"
}
],
"available_countries": ["<string>"],
"tags_attributes": [
{
"id": 123,
"_destroy": True,
"name": "<string>"
}
],
"prompts_attributes": [
{
"id": 123,
"title": "<string>",
"content": "<string>",
"_destroy": True
}
],
"attached_shareables_attributes": [
{
"id": 123,
"attachment_type": "<string>",
"attachment_id": 123,
"timestamp": "<string>",
"_destroy": True
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 123,
medium: {
user_id: 123,
media_type: '<string>',
image_url: '<string>',
video_url: '<string>',
pdf_url: '<string>',
powerpoint_url: '<string>',
title: '<string>',
description: '<string>',
active: true,
compressed_image_url: '<string>',
prompts_enabled: true,
kind: '<string>',
visibility: '<string>',
cta_enabled: true,
cta_action_type: '<string>',
cta_url: '<string>',
cta_button_text: '<string>',
slug: '<string>',
custom_slug: true,
no_index: true,
display_comments: true,
category: '<string>',
display_shop: true,
dam_asset_id: 123,
dam_asset_code: '<string>',
lead_capture: true,
video_shopping_enabled: true,
application_theme_template_id: 123,
publish_at: '<string>',
settings: {
player: {
primary_color: '<string>',
button_border_radius: '<string>',
control_bar_height: '<string>',
progress_color: '<string>',
volume_color: '<string>',
show_controls: true,
autoplay: true,
loop: true,
muted: true,
preload: '<string>',
playback_rates: '<string>',
show_remaining_time: true,
responsive: true,
fluid: true
},
embed: {
behavior: '<string>',
responsive: true,
width: '<string>',
height: '<string>',
show_controls: true,
autoplay: true,
loop: true
},
cta: {
enabled: true,
type: '<string>',
url: '<string>',
button_description: '<string>',
button_text: '<string>',
button_color: '<string>'
},
fair_share: {
bg_color: '<string>',
rep_name: '<string>',
rep_avatar: '<string>',
message: '<string>'
},
live_chat: {enabled: true, color: '<string>', welcome_message: '<string>'},
thumbnail: {show_title: true, show_description: true},
seo: {
title: '<string>',
description: '<string>',
image_url: '<string>',
image_path: '<string>',
block_crawler: true
}
},
label: {id: 123, title: '<string>'},
subtitles: [{lang: '<string>', src: '<string>'}],
available_countries: ['<string>'],
tags_attributes: [{id: 123, _destroy: true, name: '<string>'}],
prompts_attributes: [{id: 123, title: '<string>', content: '<string>', _destroy: true}],
attached_shareables_attributes: [
{
id: 123,
attachment_type: '<string>',
attachment_id: 123,
timestamp: '<string>',
_destroy: true
}
]
}
})
};
fetch('https://api.fluid.app/api/company/media/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"medium": {
"id": 123,
"user_id": 123,
"title": "<string>",
"description": {},
"stripped": "<string>",
"media_type": "<string>",
"media_format": "<string>",
"image_url": "<string>",
"video_url": "<string>",
"pdf_url": "<string>",
"kind": "<string>",
"active": true,
"visibility": 123,
"share_link": "<string>",
"preview_link": "<string>",
"views": 123,
"leads": 123,
"watch": {},
"video_status": "<string>",
"duration": 123,
"cta_url": "<string>",
"cta_button_text": "<string>",
"cta_enabled": true,
"cta_action_type": "<string>",
"video_shopping_enabled": true,
"prompts_enabled": true,
"ranks": [
"<string>"
],
"settings": {},
"application_theme_template_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"subtitles": {},
"countries": [
{
"id": 123,
"iso": "<string>",
"name": "<string>"
}
],
"tags": [
{
"id": 123,
"name": "<string>"
}
],
"slug": "<string>",
"canonical_url": "<string>",
"custom_slug": true,
"prompts": [
{}
],
"attached_shareables": [
{}
],
"comments": [
{}
],
"label": {},
"display_tag": "<string>",
"publish_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}Authorizations
Bearer token authentication
Path Parameters
Media ID
Example:
1
Query Parameters
Language code for translations (e.g., 'en', 'es', 'de')
⌘I
Update company media
